Skip to main content
GET
List borrow positions for an end user smart account

Authorizations

Authorization
string
header
required

A JWT signed using the developer's own JWT private key (in the case of JWT authentication), or an end user JWT signed by CDP, encoded in base64. This is used for End User Account APIs.

Path Parameters

userId
string
required

The ID of the end user.

Pattern: ^[a-zA-Z0-9-]{1,100}$
Example:

"e051beeb-7163-4527-a5b6-35e301529ff2"

address
string
required

The address of the EVM Smart Account to list borrow positions for.

Pattern: ^0x[0-9a-fA-F]{40}$

Query Parameters

pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

projectID
string

The ID of the CDP Project. Required for end users authenticated using custom auth (i.e. a non-CDP JWT provider).

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Example:

"8e03978e-40d5-43e8-bc93-6894a57f9324"

Response

Successfully listed borrow positions.

Response containing a list of borrow positions.

borrowPositions
object[]
required

The borrow positions held by the smart account.

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="